<template>
  <input v-model="componentName" placeholder="edit me" />
  <!-- <CommonElementOne /> -->
  <img alt="Vue logo" src="./assets/logo.png" />
  <!-- <HelloWorld msg="Welcome to Your Vue.js + TypeScript App" /> -->
  <component :is="componentName" />
</template>

<script lang="ts">
import { defineComponent } from "vue";
import HelloWorld from "./components/HelloWorld.vue";

export default defineComponent({
  name: "App",
  components: {
    HelloWorld,
    CommonElementOne: global.commonelements.CommonElementOne,
    CommonElementTwo: global.commonelements.CommonElementTwo
  },
  data: () => {
    const componentName = "CommonElementOne";
    console.info("comp", global.commonelements);
    return {
      componentName
    };
  }
});
</script>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
